'use strict';

module.exports = function(grunt) {
    grunt.file.expand(__dirname + '/../../node_modules/grunt-bump/tasks').forEach(grunt.loadTasks);
    grunt.registerTask('promote', function(bumpStyle) {
        grunt.config.set('bump', {
            options: {
                files: ['package.json'],
                updateConfigs: [],
                commit: true,
                commitMessage: 'Start Release v%VERSION%',
                commitFiles: ['npm-shrinkwrap.json', 'package.json'], // '-a' for all files
                createTag: false,
                push: false,
                pushTo: 'origin',
                gitDescribeOptions: '--always --abbrev=1 --dirty=-d' // options to use with '$ git describe'
            }
        });
        bumpStyle = bumpStyle || 'minor';
        return grunt.task.run([
            'bump-only:' + bumpStyle,
            'shrinkwrap',
            'bump-commit'
        ]);
    });
};
