'use strict';

var expect = require('chai').expect;

var defaultValue = require('../../lib/email/utils/templateHelper').defaultValue;

describe('email template helper', function() {
    var templateValues;
    beforeEach(function() {
        templateValues = [
            {
                name: 'TITLE',
                content: 'some hard-coded title'
            }
        ];
    });

    it('should add default value in array if not exist', function() {
        defaultValue('testKey', templateValues, 'testValue');
        expect(templateValues).to.have.length(2);
        expect(templateValues[1]).to.eql({
            name: 'testKey',
            content: 'testValue'
        });
    });

    it('should return the added entry if newly added', function() {
        var result = defaultValue('testKey', templateValues, 'testValue');
        expect(result).to.eql({
            name: 'testKey',
            content: 'testValue'
        });
    });

    it('should return the existing entry if already present', function() {
        var result = defaultValue('TITLE', templateValues, 'some default content');
        expect(result).to.eql({
            name: 'TITLE',
            content: 'some hard-coded title'
        });
    });
});
